# Class AdsMidrollError

#### Hierarchy (view full)

- AdsError
  - AdsMidrollError

#####
Index

### Constructors

constructor

### Properties

category
code
description

## Constructors

### constructor

- new AdsMidrollError(): AdsMidrollError

- #### Returns AdsMidrollError

  Inherited from AdsError.constructor

## Properties

### `Readonly` category

category: Ads = ErrorCategory.Ads

Inherited from AdsError.category

### `Readonly` code

code: MidrollError = ErrorCode.MidrollError

Overrides AdsError.code

### `Readonly` description

description: "An error occured during the Ads midroll. Playback should continue." = 'An error occured during the Ads midroll. Playback should continue.'